# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1513  -> 1.1514 
#	 drivers/acpi/numa.c	1.7     -> 1.8    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 04/02/10	len.brown@intel.com	1.1514
# [ACPI] NUMA build fix -- NR_MEMBLKS is now NR_NODE_MEMBLKS
# --------------------------------------------
#
diff -Nru a/drivers/acpi/numa.c b/drivers/acpi/numa.c
--- a/drivers/acpi/numa.c	Tue Feb 10 21:10:17 2004
+++ b/drivers/acpi/numa.c	Tue Feb 10 21:10:17 2004
@@ -172,7 +172,7 @@
 					       NR_CPUS);
 		result = acpi_table_parse_srat(ACPI_SRAT_MEMORY_AFFINITY,
 					       acpi_parse_memory_affinity,
-					       NR_MEMBLKS);
+					       NR_NODE_MEMBLKS);	// IA64 specific
 	} else {
 		/* FIXME */
 		printk("Warning: acpi_table_parse(ACPI_SRAT) returned %d!\n",result);
